package com.hfkj.model.order;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 导出油站订单模型
 * @className: ExportGasOrderModel
 * @author: HuRui
 * @date: 2022/9/20
 **/
@Data
public class ExportGasOrderModel {

    @ColumnWidth(20)
    @ExcelProperty("代理商")
    private String agentName;

    @ColumnWidth(20)
    @ExcelProperty("业务员")
    private String agentStaffName;

    @ColumnWidth(25)
    @ExcelProperty("交易单号")
    private String orderNo;

    @ColumnWidth(25)
    @ExcelProperty("渠道")
    private String channelType;

    @ColumnWidth(25)
    @ExcelProperty("渠道单号")
    private String channelOrderNo;

    @ColumnWidth(15)
    @ExcelProperty("客户电话")
    private String userPhone;

    @ColumnWidth(25)
    @ExcelProperty("加油站")
    private String merName;

    @ColumnWidth(15)
    @ExcelProperty("加油员")
    private String gasStaffName;

    @ColumnWidth(15)
    @ExcelProperty({ "加油信息", "加油金额"})
    private BigDecimal gasRefuelPrice;

    @ColumnWidth(15)
    @ExcelProperty({ "加油信息", "加油升数"})
    private BigDecimal gasOilLiters;

    @ColumnWidth(10)
    @ExcelProperty({ "加油信息", "油号"})
    private String gasOilNo;

    @ColumnWidth(10)
    @ExcelProperty({ "加油信息", "油枪号"})
    private String gasGunNo;

    @ColumnWidth(15)
    @ExcelProperty({ "加油信息", "平台折扣"})
    private String gasDiscount;

    @ColumnWidth(10)
    @ExcelProperty({ "加油信息", "平台价"})
    private BigDecimal gasPricePlatform;

    @ColumnWidth(10)
    @ExcelProperty({ "加油信息", "油站价"})
    private BigDecimal gasPriceGun;

    @ColumnWidth(10)
    @ExcelProperty({ "加油信息", "国标价"})
    private BigDecimal gasPriceOfficial;

    @ColumnWidth(15)
    @ExcelProperty({ "支付信息", "总优惠"})
    private BigDecimal totalDeductionPrice;

    @ColumnWidth(15)
    @ExcelProperty({ "支付信息", "优惠券优惠"})
    private BigDecimal deductionCouponPrice;

    @ColumnWidth(15)
    @ExcelProperty({ "支付信息", "加油优惠"})
    private BigDecimal deductionOilPrice;

    @ColumnWidth(15)
    @ExcelProperty({ "支付信息", "应付金额"})
    private BigDecimal payablePrice;

    @ColumnWidth(15)
    @ExcelProperty({ "支付信息", "积分抵扣"})
    private BigDecimal payIntegral;

    @ColumnWidth(15)
    @ExcelProperty({ "支付信息", "实付金额"})
    private String payPrice;

    @ColumnWidth(15)
    @ExcelProperty({ "支付信息", "支付方式"})
    private String payTypeName;

    @ColumnWidth(15)
    @ExcelProperty("交易状态")
    private String status;

    @ColumnWidth(22)
    @ExcelProperty("创建时间")
    private Date createTime;

    @ColumnWidth(22)
    @ExcelProperty("支付时间")
    private Date payTime;

    @ColumnWidth(22)
    @ExcelProperty("退款时间")
    private Date refundTime;

    @ColumnWidth(22)
    @ExcelProperty("取消时间")
    private Date cancelTime;

    @ColumnWidth(22)
    @ExcelProperty("异常状态")
    private String abnormal;

    @ColumnWidth(22)
    @ExcelProperty("异常原因")
    private String abnormalContent;

}
